## pommed 1.39~dfsg

=== Makefile ===
# Top-level Makefile for pommed & tools

OFLIB ?=

all: pommed gpomme wmpomme

pommed:
	$(MAKE) -C pommed OFLIB=$(OFLIB)

gpomme:
	$(MAKE) -C gpomme

wmpomme:
	$(MAKE) -C wmpomme

clean:
	$(MAKE) -C pommed clean
	$(MAKE) -C gpomme clean
	$(MAKE) -C wmpomme clean
	rm -f *~

.PHONY: pommed gpomme wmpomme

=== gpomme/Makefile ===
CC = gcc

GTK_CFLAGS = $(shell pkg-config --cflags gtk+-2.0)
GTK_LIBS = $(shell pkg-config --libs gtk+-2.0)

DBUS_CFLAGS = $(shell pkg-config dbus-1 --cflags) -DDBUS_API_SUBJECT_TO_CHANGE
DBUS_LIBS = $(shell pkg-config dbus-1 --libs)

DBUSGLIB_CFLAGS = $(shell pkg-config dbus-glib-1 --cflags)
DBUSGLIB_LIBS = $(shell pkg-config dbus-glib-1 --libs)

CONFUSE_CFLAGS = $(shell pkg-config libconfuse --cflags)
CONFUSE_LIBS = $(shell pkg-config libconfuse --libs)

INOTIFY_CFLAGS = $(shell test -e /usr/include/sys/inotify.h || echo -DNO_SYS_INOTIFY_H)

CFLAGS = -g -O2 -Wall $(DBUS_CFLAGS) $(DBUSGLIB_CFLAGS) $(GTK_CFLAGS) $(CONFUSE_CFLAGS) $(INOTIFY_CFLAGS)
LDLIBS = -lpthread -lX11 $(DBUS_LIBS) $(DBUSGLIB_LIBS) $(GTK_LIBS) $(CONFUSE_LIBS)

SOURCES = gpomme.c theme.c conffile.c \
		../client-common/dbus-client.c \
		../client-common/video-client.c
POFILES = po/fr.po po/de.po po/es.po po/it.po po/ja.po

OBJS = $(SOURCES:%.c=%.o)
MOFILES = $(POFILES:%.po=%.mo)

all: gpomme mo

mo: $(MOFILES)

gpomme: $(OBJS)

gpomme.o: gpomme.c gpomme.h theme.h ../client-common/dbus-client.h ../client-common/video-client.h

theme.o: theme.c theme.h gpomme.h

conffile.o: conffile.c conffile.h gpomme.h theme.h

../client-common/dbus-client.o: ../client-common/dbus-client.c ../client-common/dbus-client.h

../client-common/video-client.o: ../client-common/video-client.c ../client-common/video-client.h

%.mo: %.po
	@echo Building $@...
	@msgfmt --statistics -o $@ $<

updatepo:
	xgettext -L C -k_ -o po/gpomme.pot $(SOURCES)
	for po in $(POFILES); do \
		msgmerge -U $$po po/gpomme.pot; \
	done

clean:
	rm -f gpomme $(OBJS) $(MOFILES)
	rm -f *~ po/*~ ../client-common/*~

=== pommed/Makefile ===
ARCH ?= $(shell uname -m)

CC = gcc

DBUS_CFLAGS = $(shell pkg-config dbus-1 --cflags) -DDBUS_API_SUBJECT_TO_CHANGE
DBUS_LIBS = $(shell pkg-config dbus-1 --libs)

ALSA_CFLAGS = $(shell pkg-config alsa --cflags)
ALSA_LIBS = $(shell pkg-config alsa --libs)

AUDIOFILE_CFLAGS = $(shell pkg-config audiofile --cflags)
AUDIOFILE_LIBS = $(shell pkg-config audiofile --libs)

CONFUSE_CFLAGS = $(shell pkg-config libconfuse --cflags)
CONFUSE_LIBS = $(shell pkg-config libconfuse --libs)

INOTIFY_CFLAGS = $(shell test -e /usr/include/sys/inotify.h || echo -DNO_SYS_INOTIFY_H)

TIMERFD_CFLAGS = $(shell test -e /usr/include/sys/timerfd.h || echo -DNO_SYS_TIMERFD_H)

CFLAGS = -g -O2 -Wall $(DBUS_CFLAGS) $(ALSA_CFLAGS) $(AUDIOFILE_CFLAGS) $(CONFUSE_CFLAGS) $(INOTIFY_CFLAGS) $(TIMERFD_CFLAGS)

LDLIBS = -pthread -lrt $(DBUS_LIBS) $(ALSA_LIBS) $(AUDIOFILE_LIBS) $(CONFUSE_LIBS)

LIB_OBJS =

ifneq (, $(findstring ppc, $(ARCH)))
OFLIB ?=

SOURCES = pommed.c cd_eject.c evdev.c conffile.c audio.c \
		evloop.c dbus.c power.c beep.c video.c \
		sysfs_backlight.c pmac/pmu.c \
		pmac/kbd_backlight.c pmac/ambient.c

OF_SOURCES = pmac/ofapi/of_externals.c pmac/ofapi/of_internals.c \
		pmac/ofapi/of_standard.c

OF_OBJS = $(OF_SOURCES:%.c=%.o)

ifneq ($(OFLIB),)
CFLAGS += -Ipmac
LIB_OBJS += pmac/ofapi/oflib.a
else
LDLIBS += -lofapi
endif

else

LIBPCI_SHARED = $(shell pkg-config libpci && echo true || echo false)

ifeq ($(LIBPCI_SHARED), true)
	LIBPCI_CFLAGS = $(shell pkg-config libpci --cflags)
	LIBPCI_LIBS = $(shell pkg-config libpci --libs)

	CFLAGS += $(LIBPCI_CFLAGS)
	LDLIBS += $(LIBPCI_LIBS)
else
	LIB_OBJS += /usr/lib/libpci.a
	LDLIBS += -lz
endif

LDLIBS += $(LIB_OBJS)

SOURCES = pommed.c cd_eject.c evdev.c conffile.c audio.c \
		evloop.c dbus.c power.c beep.c video.c \
		sysfs_backlight.c \
		mactel/x1600_backlight.c mactel/gma950_backlight.c \
		mactel/nv8600mgt_backlight.c \
		mactel/kbd_backlight.c mactel/ambient.c mactel/acpi.c
endif

OBJS = $(SOURCES:%.c=%.o)


pommed: $(OBJS) $(LIB_OBJS)

pommed.o: pommed.c pommed.h evloop.h kbd_backlight.h lcd_backlight.h cd_eject.h evdev.h conffile.h audio.h dbus.h beep.h

cd_eject.o: cd_eject.c cd_eject.h pommed.h conffile.h dbus.h

evdev.o: evdev.c evdev.h evloop.h pommed.h kbd_backlight.h lcd_backlight.h cd_eject.h conffile.h audio.h video.h beep.h

evloop.o: evloop.c evloop.h pommed.h

conffile.o: conffile.c conffile.h pommed.h lcd_backlight.h kbd_backlight.h cd_eject.h audio.h beep.h

audio.o: audio.c audio.h pommed.h conffile.h dbus.h

dbus.o: dbus.c dbus.h evloop.h pommed.h lcd_backlight.h kbd_backlight.h ambient.h audio.h

power.o: power.c power.h evloop.h pommed.h lcd_backlight.h

beep.o: beep.c beep.h pommed.h evloop.h audio.h

video.o: video.c video.h pommed.h dbus.h

sysfs_backlight.o: sysfs_backlight.c pommed.h lcd_backlight.h conffile.h dbus.h

# PowerMac-specific files
pmac/kbd_backlight.o: pmac/kbd_backlight.c kbd_auto.c kbd_backlight.h evloop.h pommed.h ambient.h conffile.h dbus.h

pmac/ambient.o: pmac/ambient.c ambient.h pommed.h dbus.h

pmac/pmu.o: pmac/pmu.c power.h

# OFlib
pmac/ofapi/oflib.a: $(OF_OBJS)
	ar cru $@ $^

pmac/ofapi/of_externals.o: pmac/ofapi/of_externals.c pmac/ofapi/of_api.h

pmac/ofapi/of_internals.o: pmac/ofapi/of_internals.c pmac/ofapi/of_api.h

pmac/ofapi/of_standard.o: pmac/ofapi/of_standard.c pmac/ofapi/of_api.h


# Mactel-specific files
mactel/x1600_backlight.o: mactel/x1600_backlight.c pommed.h lcd_backlight.h conffile.h dbus.h

mactel/gma950_backlight.o: mactel/gma950_backlight.c pommed.h lcd_backlight.h conffile.h dbus.h

mactel/nv8600mgt_backlight.o: mactel/nv8600mgt_backlight.c pommed.h lcd_backlight.h conffile.h dbus.h

mactel/kbd_backlight.o: mactel/kbd_backlight.c kbd_auto.c kbd_backlight.h evloop.h pommed.h ambient.h conffile.h dbus.h

mactel/ambient.o: mactel/ambient.c ambient.h pommed.h dbus.h

mactel/acpi.o: mactel/acpi.c power.h


clean:
	rm -f pommed $(OBJS) $(OF_OBJS) pmac/ofapi/oflib.a
	rm -f *~ mactel/*~ pmac/*~ pmac/ofapi/*~

=== wmpomme/Makefile ===
CC = gcc

DBUS_CFLAGS = $(shell pkg-config dbus-1 --cflags) -DDBUS_API_SUBJECT_TO_CHANGE
DBUS_LIBS = $(shell pkg-config dbus-1 --libs)

TIMERFD_CFLAGS = $(shell test -e /usr/include/sys/timerfd.h || echo -DNO_SYS_TIMERFD_H)

CFLAGS = -g -O2 -Wall $(DBUS_CFLAGS) $(TIMERFD_CFLAGS)
LDLIBS = -lrt -lXpm -lXext -lX11 $(DBUS_LIBS)

SOURCES = wmgeneral.c wmpomme.c \
	../client-common/dbus-client.c \
	../client-common/video-client.c

OBJS = $(SOURCES:%.c=%.o)

wmpomme: $(OBJS)

wmpomme.o: wmpomme.c wmgeneral.h wmpomme-master.xpm ../client-common/dbus-client.h

wmgeneral.o: wmgeneral.c wmgeneral.h

../client-common/dbus-client.o: ../client-common/dbus-client.c ../client-common/dbus-client.h

../client-common/dbus-video.o: ../client-common/video-client.c ../client-common/video-client.h

clean:
	rm -f wmpomme $(OBJS)
	rm -f *~ ../client-common/*~

=== debian/changelog ===
pommed (1.39~dfsg-5.2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:14:40 +1100

pommed (1.39~dfsg-5.2build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:00:18 +0000

pommed (1.39~dfsg-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop gpomme. (Closes: #967706, #405936)

 -- Bastian Germann <bage@debian.org>  Thu, 12 Oct 2023 13:58:10 +0000

pommed (1.39~dfsg-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957698)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 04 Aug 2020 20:18:05 +0100

pommed (1.39~dfsg-5) unstable; urgency=medium

  * Change team mail address. (Closes: #899658)
  * Update debhelper to 11.
  * Bump Standards-Version to 4.1.4.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 02 Jun 2018 06:46:53 +0900

pommed (1.39~dfsg-4) unstable; urgency=low

  * Add patches/apple-keyboard-ids. Support for recent internal keyboards.

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 25 Jul 2013 10:35:12 +0200

pommed (1.39~dfsg-3) unstable; urgency=low

  * Update debian/control.
    -  Change Maintainer field and Add Uploaders field. (Closes: #688529)
       Maintainer: Debian Mactel <pkg-mactel-devel@lists.alioth.debian.org>
       Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
    - Bump Standard Version: 3.9.4
    - Update debhelper to 9.
  * Update debian/compat to 9.
  * Update debian/rules.
    - Convert to dh.
  * Add patches/MacBookPro91.patch. Support Macbook Pro 9,1. (Closes: #708150)
  * Add patches/0001-rely-on-sys-inotify.h-for-inotify-support.patch.
    Update inotify support. (Closes: #676948)
  * Update debian/copyright to DEP5.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 09 Jul 2013 11:25:35 +0900

pommed (1.39~dfsg-2) unstable; urgency=low

  * debian/patches/build_flags.patch:
    + Added; force empty inotify and timerfd build flags (closes: #639078).

 -- Julien BLACHE <jblache@debian.org>  Wed, 14 Sep 2011 19:10:29 +0200

pommed (1.39~dfsg-1) unstable; urgency=low

  * New upstream release.

  * debian/control:
    + Bump Standards-Version to 3.9.2 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Thu, 02 Jun 2011 11:31:04 +0200

pommed (1.38~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Allow disabling audio support entirely (closes: #404352).

  * debian/control:
    + Remove Conflicts/Replaces mbpeventd; this was a long time ago.
  * debian/pommed.preinst:
    + Remove; mbpeventd migration is not needed anymore.

 -- Julien BLACHE <jblache@debian.org>  Sat, 19 Mar 2011 12:34:59 +0100

=== debian/control ===
Source: pommed
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Mactel <team+pkg-mactel-devel@tracker.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
	   Thibaut Paumard <thibaut@debian.org>
Build-Depends: debhelper (>= 11), libpci-dev [i386 amd64],
	libofapi-dev (>= 0git20070620) [powerpc], libconfuse-dev, libasound2-dev,
	libaudiofile-dev, pkg-config, libdbus-1-dev, libdbus-glib-1-dev,
	libx11-dev, libxext-dev, libxpm-dev
Standards-Version: 4.1.4

Package: pommed
Architecture: i386 amd64 powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}, eject
Recommends: dbus
Description: Apple laptops hotkeys event handler
 pommed handles the hotkeys found on the Apple MacBook Pro, MacBook Air,
 MacBook, PowerBook and iBook laptops and adjusts the LCD backlight, sound
 volume, keyboard backlight or ejects the CD-ROM drive accordingly.
 .
 pommed also monitors the ambient light sensors to automatically
 light up the keyboard backlight on machines that support it.

Package: wmpomme
Architecture: i386 amd64 powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}, pommed (>= 1.29~dfsg-1), dbus
Description: WindowMaker dockapp client for pommed
 pommed handles the hotkeys found on the Apple MacBook Pro, MacBook Air,
 MacBook, PowerBook and iBook laptops and adjusts the LCD backlight, sound
 volume, keyboard backlight or ejects the CD-ROM drive accordingly.
 .
 wmpomme is a dockapp client for pommed. It displays the current level of
 each item controlled by pommed.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- pommed wmpomme

override_dh_auto_install:
	# Install pommed
	cp pommed/pommed $(CURDIR)/debian/pommed/usr/sbin/

	mkdir -p $(CURDIR)/debian/pommed/usr/share/pommed
	cp $(CURDIR)/pommed/data/* $(CURDIR)/debian/pommed/usr/share/pommed/
	ln -sf goutte.wav $(CURDIR)/debian/pommed/usr/share/pommed/beep.wav

	mkdir -p $(CURDIR)/debian/pommed/etc/dbus-1/system.d
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH), powerpc)
	cp pommed.conf.pmac $(CURDIR)/debian/pommed/etc/pommed.conf
else
	cp pommed.conf.mactel $(CURDIR)/debian/pommed/etc/pommed.conf
endif
	cp dbus-policy.conf $(CURDIR)/debian/pommed/etc/dbus-1/system.d/pommed.conf

	# Install wmpomme
	cp wmpomme/wmpomme $(CURDIR)/debian/wmpomme/usr/bin/

	cp icons/gpomme_32x32.xpm $(CURDIR)/debian/wmpomme/usr/share/pixmaps/wmpomme.xpm

	dh_auto_install

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog 

override_dh_installinit:
	dh_installinit --error-handler=init_eh
